Freeciv-3.3: endgame_report Class Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Public Member Functions | Data Fields | Private Attributes
endgame_report Class Reference

`#include <repodlgs.h>`

Inheritance diagram for endgame_report:

## Public Member Functions

| endgame_report (const struct packet_endgame_report *packet)
| ~endgame_report ()
void | update_report (const struct packet_endgame_player *packet)
void | init ()

## Data Fields

struct gui_dialog * | shell
GtkTreeView * | tree_view
GtkListStore * | store
int | player_count
int | players_received

## Private Attributes

QTableWidget * | end_widget
int | index
int | players

## Detailed Description

Definition at line 1805 of file repodlgs.c.

## Constructor & Destructor Documentation

## ◆ endgame_report()

endgame_report::endgame_report | ( | const struct packet_endgame_report * | packet | ) |

Constructor for endgame report

Definition at line 1572 of file repodlgs.cpp.

## ◆ ~endgame_report()

endgame_report::~endgame_report | ( |  | ) |

Destructor for endgame report

Definition at line 1602 of file repodlgs.cpp.

## Member Function Documentation

## ◆ init()

void endgame_report::init | ( |  | ) |

Initializes place in tab for endgame report

Definition at line 1610 of file repodlgs.cpp.

## ◆ update_report()

void endgame_report::update_report | ( | const struct packet_endgame_player * | packet | ) |

Refresh all widgets for economy report

Definition at line 1620 of file repodlgs.cpp.

Referenced by qtg_endgame_report_dialog_player().

## Field Documentation

## ◆ end_widget

QTableWidget* endgame_report::end_widget

private

Definition at line 241 of file repodlgs.h.

Referenced by endgame_report(), and update_report().

## ◆ index

int endgame_report::index

private

Definition at line 250 of file repodlgs.h.

Referenced by init().

## ◆ player_count

int endgame_report::player_count

Definition at line 1809 of file repodlgs.c.

## ◆ players

int endgame_report::players

private

Definition at line 251 of file repodlgs.h.

Referenced by endgame_report(), and update_report().

## ◆ players_received

int endgame_report::players_received

Definition at line 1810 of file repodlgs.c.

## ◆ shell

struct gui_dialog * endgame_report::shell

Definition at line 1806 of file repodlgs.c.

Referenced by endgame_report_dialog_start().

## ◆ store

GtkListStore * endgame_report::store

Definition at line 1808 of file repodlgs.c.

Referenced by endgame_report_update().

## ◆ tree_view

GtkTreeView * endgame_report::tree_view

Definition at line 1807 of file repodlgs.c.